Download it now!
Bug 130711 - [tr] Extend Autocorrect list for Turkish language
Summary: [tr] Extend Autocorrect list for Turkish language
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Yusuf Keten
URL:
Whiteboard: target:7.0.0 target:7.1.0
Keywords: difficultyBeginner, easyHack, topicDoc, topicQA
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2020-02-16 14:48 UTC by Muhammet Kara
Modified: 2020-06-25 09:01 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammet Kara 2020-02-16 14:48:02 UTC
This is only for native speakers of Turkish language.

Info about the autocorrect feature: https://help.libreoffice.org/6.4/en-US/text/shared/01/06040100.html?DbPAR=SHARED#bm_id3155620 (Please read before starting!)

Location of the autocorrect file for Turkish: extras/source/autocorr/lang/tr/DocumentList.xml

Example commit: https://gerrit.libreoffice.org/c/core/+/88781

A list to use as a starting point (in Turkish): https://www.turkedebiyati.org/yanlis-yazilan-sozcukler/

Points to pay attention:
* Write the version with the capitalized initial letter first, then the lowercase version
* Avoid adding words which may be used in a different/correct meaning (like if you add "ateşe" -> "ataşe" correction, it will erroneously corrupt "ateşe odun at")
* Try to keep your patches under 50 lines of change
* Attention to the details is appreciated! :)
Comment 1 Commit Notification 2020-02-16 18:32:41 UTC
Yusuf Keten committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0078b90f64c412487ab0818aa9101ccc4b137e5a

tdf#130711: [tr] Extend Autocorrect list for Turkish language(Start with A)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-02-25 16:14:05 UTC
Hakan Bakacak committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ea5c1272c653897172a7d08403061f2159331914

tdf#130711: [tr] Extend Autocorrect list for Turkish language (Start with B)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-03-07 10:40:42 UTC
ayhanyalcinsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0f3c1d59b62fc912b081737bdc4806ff2bedf58b

tdf#130711: [tr] Extend Autocorrect list for Turkish language (Start with C/Ç)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-03-23 14:11:34 UTC
ayhanyalcinsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/49ca2c32514760bdfa417f81c5ef902fe38bcaad

tdf#130711: [tr] Extend Autocorrect list for Turkish language (Start with D/E)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-05-14 22:52:51 UTC
Ayhan Yalçınsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7ac9c2f6ec4849b829fc0d450239ec9f95bb9177

tdf#130711: [tr] Extend Autocorrect list for Turkish language (Start with F-H)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-06-25 09:01:26 UTC
Ayhan Yalçınsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9b7333aadfa1186809e7502053ea554d0b668322

tdf#130711: [tr] Extend Autocorrect list for Turkish language (Start with I-L)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.